Bug 902673 - both webUI banner and email about satellite becoming inaccessible after grace period should mention new restricted period
both webUI banner and email about satellite becoming inaccessible after grace...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
550
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Lestach
Martin Minar
:
Depends On:
Blocks: sat560-lowbug
  Show dependency treegraph
 
Reported: 2013-01-22 03:34 EST by Jan Hutař
Modified: 2016-07-03 20:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 17:56:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2013-01-22 03:34:17 EST
Description of problem:
When you get into grace period with your Satellite, both banner on webUI and notification mail wording should be updated to reflect we will have restricted period now.


Version-Release number of selected component (if applicable):
spacewalk-java-1.7.54-109.el6sat.noarch
spacewalk-backend-1.7.38-41.el6sat.noarch


How reproducible:
always


Steps to Reproduce:
1. Get your Satellite into Grace period and observe webUI banner and mail
   sent to administrator


Actual results:
Banner says:
Your satellite certificate has expired. Please contact Red Hat for a new certificate. Your satellite will become inactive in 5 day(s).

Email says:
[...] After 4 day(s) the systems management services provided by your RHN Satellite Server will become inaccessible. [...]


Expected results:
Instead of inactive/inaccessible there should be something like "will enter restricted functionality state temporarily and became inactive later" or something like that.
Comment 1 Tomas Lestach 2013-01-23 10:41:03 EST
tell the user about restricted period, when notifying about certificate expiration ...

spacewalk.git: 520f20bf55c408ed1c437de411077fb1650ba02b
Comment 4 Clifford Perry 2013-10-01 17:56:01 EDT
Satellite 5.6 has been released. This bug was tracked under the release.  

This bug was either VERIFIED or RELEASE_PENDING (re-verified prior shortly
before release). 

Moving to CLOSED CURRENT_RELEASE. 

Text from Upgrade Erratum follows:

Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2013-1395.html

Note You need to log in before you can comment on or make changes to this bug.